FileWatcher (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class FileWatcher

    java.lang.Object
      org.hyperic.sigar.FileWatcher

Direct Known Subclasses:
  FileTail, ProcFileMirror

    public abstract class FileWatcher

extends java.lang.Object

Constructor Summary
`FileWatcher(Sigar sigar)`

Method Summary
`FileInfo` | `add(java.io.File file)`
`void` | `add(java.io.File[] files)`
`FileInfo` | `add(java.lang.String file)`
`void` | `add(java.lang.String[] files)`
`protected boolean` | `changed(FileInfo info)`
`void` | `check()`
`void` | `clear()`
`java.util.Set` | `getFiles()`
`long` | `getInterval()`
`abstract void` | `onChange(FileInfo info)`
`void` | `onException(FileInfo info, SigarException e)`
`void` | `onNotFound(FileInfo info)`
`void` | `remove(java.io.File file)`
`void` | `remove(java.lang.String file)`
`void` | `setInterval(long interval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileWatcher

    public FileWatcher(Sigar sigar)

Method Detail

### onChange

    public abstract void onChange(FileInfo info)

### onNotFound

    public void onNotFound(FileInfo info)

### onException

    public void onException(FileInfo info,
                            SigarException e)

### setInterval

    public void setInterval(long interval)

### getInterval

    public long getInterval()

### add

    public FileInfo add(java.io.File file)
                 throws SigarException

  Throws:
    `SigarException`

### add

    public FileInfo add(java.lang.String file)
                 throws SigarException

  Throws:
    `SigarException`

### add

    public void add(java.io.File[] files)
             throws SigarException

  Throws:
    `SigarException`

### add

    public void add(java.lang.String[] files)
             throws SigarException

  Throws:
    `SigarException`

### remove

    public void remove(java.io.File file)

### remove

    public void remove(java.lang.String file)

### clear

    public void clear()

### getFiles

    public java.util.Set getFiles()

### changed

    protected boolean changed(FileInfo info)
                       throws SigarException,
                              SigarFileNotFoundException

  Throws:
    `SigarException`
    `SigarFileNotFoundException`

### check

    public void check()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.